@extends('layouts.admin.app')

@section('content')

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="{{ asset('admin/assets/extra-libs/multicheck/datatable-checkbox-init.js') }}"></script>
    <script src="{{ asset('admin/assets/extra-libs/multicheck/jquery.multicheck.js') }}"></script>
    <script src="{{ asset('admin/assets/extra-libs/DataTables/datatables.min.js') }}"></script>

    <link rel="stylesheet" type="text/css" href="{{ asset('admin/assets/extra-libs/multicheck/multicheck.css') }}">
    <link href="{{ asset('admin/assets/libs/datatables.net-bs4/css/dataTables.bootstrap4.css') }}" rel="stylesheet">

    <main id="main" class="main">
        @if( Session::get('permissions.user_type') == 'A' )
	        <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-12 d-flex no-block align-items-center">
                        <h4 class="page-title">Cms Page List</h4>
                        <div class="ml-auto text-right">
                            <a href="{{route('admin.cms.add')}}" class="btn btn-success">ADD CMS</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                @foreach (['danger', 'warning', 'success', 'info'] as $msg)
                                    @if(Session::has('alert-' . $msg))
                                        <h4 class="font-weight-light alert alert-{{ $msg }}">{{ Session::get('alert-' . $msg) }}</h4>
                                    @endif
                                @endforeach
                                <h5 class="card-title">Category</h5>
                                @if(count($result) > 0)
                                <div class="table-responsive">
                                    <table id="zero_config" class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th style="width: 5%"><b>No.</b></th>
                                                <th style="width: 20%"><b>Title</b></th>
                                                <th style="width: 20%"><b>Content</b></th>
                                                <th style="width: 15%"><b>Created Date</b></th>
                                                <th style="width: 6%"><b>Status</b></th>
                                                <th style="width: 9%">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @php $i=1; @endphp
                                            @foreach($result as $key => $data)
                                            <tr>
                                                <td>{{ $i + $key }}</td>
                                                <td>{{$data->title}}</td>
                                                <td>{!! substr(strip_tags($data->content), 0, 100) !!}...</td>
                                                <td>{{date('d-m-Y', strtotime($data->created_at))}}</td>
                                                <td>
                                                    <label class="switch">
                                                        <input type="checkbox" class="blockstatus" name="stat" id="stat" data-id="{{ base64_encode($data->id) }}" @if($data->is_block == 'N') checked @endif>
                                                        <span class="slider roundsemi"></span>
                                                    </label>
                                                    <label id="status-info-{{ $data->id }}" class="status-stat"></label>
                                                </td>
                                                <td>
                                                    <a href="{{ route('admin.cms.edit', base64_encode($data->id).'?redirect='.urlencode($request->fullUrl())) }}">
                                                        <i class="fas fa-edit"></i>
                                                    </a>
                                                    <a onclick="return confirm('Are you sure you want to delete the Category?')" href="">
                                                        <i class="fas fa-trash-alt"></i>
                                                    </a>
                                                    <a href="{{ route('admin.cms.list_cms', base64_encode($data->id).'?redirect='.urlencode($request->fullUrl())) }}" target="_blank">
                                                        <i class="fas fa-eye"></i>
                                                    </a>
                                                </td>
                                            </tr>
                                            @endforeach
                                        </tfoot>
                                    </table>
                                </div>
                                @else
                                    <div class="card">No Data Found...</div>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        @endif    
    </main><!-- End #main -->
    <script>
        /****************************************
         *       Basic Table                   *
         ****************************************/
        $('#zero_config').DataTable({
            "order": [[5, "desc"]] 
        });

    </script>
@endsection
