@extends('layouts.admin.app')

@section('content')

    <main id="main" class="main">
        @if( Session::get('permissions.user_type') == 'A' )
            <div class="pagetitle">
              <h1>Order Details</h1>
              <!-- <nav>
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="index.html">Home</a></li>
                  <li class="breadcrumb-item">Tables</li>
                  <li class="breadcrumb-item active">General</li>
                </ol>
              </nav> -->
            </div><!-- End Page Title -->

            <section class="section">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-body">
                              <h5 class="card-title">Assign Orders</h5>

                              <!-- Default Table -->
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th scope="col">Sr No</th>
                                            <th scope="col">Order Id</th>
                                            <th scope="col">Oredered Date</th>
                                            <!-- <th scope="col">Client Name</th> -->
                                            <th scope="col">Order Status</th>
                                            <th scope="col">Products</th>
                                            <th scope="col">View</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @php $i = 0; @endphp
                                        @foreach($order as $orders)
                                            @php
                                                $orderDetails = $order_details->where('order_id', $orders->id);

                                                $productsForOrder = $products->whereIn('id', $orderDetails->pluck('product_id'));
                                            @endphp

                                            @if($orderDetails->isNotEmpty())
                                                @php $i++; @endphp
                                                <tr>
                                                    <th scope="row">{{ $i }}</th>
                                                    <td>{{ $orders->unique_order_id }}</td>
                                                    <td>{{ $orders->created_at }}</td>
                                                    <!-- <td>{{ $orders->user_id }}</td> -->
                                                    <td>
                                                        @if($orders->order_delivery_status == 'P')
                                                            <div>PENDING</div>
                                                        @elseif($orders->order_delivery_status == 'PC')
                                                            <div>PROCESS</div>
                                                        @elseif($orders->order_delivery_status == 'CL')
                                                            <div>CANCELED</div>
                                                        @elseif($orders->order_delivery_status == 'H')
                                                            <div>HOLD</div>
                                                        @elseif($orders->order_delivery_status == 'D')
                                                            <div>Delivered</div>
                                                        @elseif($orders->order_delivery_status == 'S')
                                                            <div>Shipped</div>
                                                        @endif
                                                    </td>
                                                    <td>
                                                        <!-- Display all associated products for this order -->
                                                        {!! $productsForOrder->pluck('product_name')->implode('<br>') !!}
                                                    </td>
                                                    <!-- <td>
                                                        @if($orders->order_delivery_status == 'PC' || $orders->order_delivery_status == 'CL' || $orders->order_delivery_status == 'S' || $orders->order_delivery_status == 'D' || $orders->order_delivery_status == 'H')
                                                            <div>
                                                                Agent Assigned
                                                            </div>
                                                        @else
                                                            <div>
                                                                Agent Not Assigned Yet
                                                            </div>
                                                        @endif
                                                    </td> -->
                                                    <td><a href="{{ url('/admin/orders/view') }}/{{ $orders->id }}" class="btn btn-primary">VIEW</a></td>
                                                </tr>
                                            @endif
                                        @endforeach
                                    </tbody>
                                </table>
                              <!-- End Default Table Example -->
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        @endif    
        
    </main><!-- End #main -->
            

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>

@endsection
